package com.mcwl.memberCenter.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会员周期枚举
 */
@Getter
@AllArgsConstructor
public enum MemberPeriodicEnum {
    YEAR("year", "年"),
    QUARTER("quarter", "季度"),
    MONTH("month", "月"),
    CONTINUE_MONTH("continueMonth", "包月");


    private final String name;
    @EnumValue
    private final String value;
}
